Imagick::setType
Imagick::shadowImage
Imagick
PHP Manual

# Imagick::shadeImage

Creates a 3D effect

### Description

bool Imagick::shadeImage ( bool `$gray` , float `$azimuth` , float `$elevation` )

Shines a distant light on an image to create a three-dimensional effect. You control the positioning of the light with azimuth and elevation; azimuth is measured in degrees off the x axis and elevation is measured in pixels above the Z axis. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`gray`

  A value other than zero shades the intensity of each pixel.

`azimuth`

  Defines the light source direction.

`elevation`

  Defines the light source direction.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on failure.